Retrieve an application
curl --request GET \
--url https://api.gospott.com/applications/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.gospott.com/applications/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.gospott.com/applications/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"position": 123,
"createdAt": "2023-11-07T05:31:56Z",
"stage": {
"viewType": "applicationStage",
"id": "<string>",
"name": "<string>",
"order": 123,
"status": {
"id": "<string>",
"name": "<string>",
"colorHex": "<string>"
},
"colorHex": "<string>",
"templateId": "<string>"
},
"owner": {
"viewType": "applicationOwner",
"owner": {
"id": "<string>",
"name": "<string>",
"avatarUrl": "<string>",
"deactivatedAt": "2023-11-07T05:31:56Z"
}
},
"applicationState": {
"viewType": "applicationState"
},
"placements": [
{
"id": "<string>",
"templateId": "<string>",
"placedByUser": {
"id": "<string>",
"name": "<string>",
"avatarUrl": "<string>",
"deactivatedAt": "2023-11-07T05:31:56Z"
},
"placedAt": "2023-11-07T05:31:56Z",
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"grossFee": {
"amount": 123
},
"netFee": {
"amount": 123
}
}
],
"commentCount": 123,
"latestActivity": {
"date": "2023-11-07T05:31:56Z",
"triggeredByUser": {
"id": "<string>",
"name": "<string>",
"avatarUrl": "<string>",
"deactivatedAt": "2023-11-07T05:31:56Z"
},
"type": "applicationCreated",
"isInbound": true
},
"client": {
"viewType": "applicationClient",
"client": {
"id": "<string>",
"name": "<string>",
"description": "<string>",
"domain": "<string>",
"logoUrl": "<string>"
}
},
"clientTeam": {
"viewType": "applicationClientTeam",
"clientTeam": [
{
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"middleName": "<string>",
"secondLastName": "<string>",
"avatarUrl": "<string>",
"candidateId": "<string>",
"companyId": "<string>",
"companyName": "<string>",
"companyLogoUrl": "<string>"
}
]
},
"vacancy": {
"viewType": "applicationVacancy",
"id": "<string>",
"title": "<string>",
"description": "<string>",
"location": {
"street1": "<string>",
"street2": "<string>",
"postalCode": "<string>",
"city": "<string>",
"region": "<string>",
"state": "<string>",
"country": "<string>",
"rawCityCountry": "<string>",
"latitude": 123,
"longitude": 123,
"formattedAddress": "<string>"
},
"locations": [
{
"street1": "<string>",
"street2": "<string>",
"postalCode": "<string>",
"city": "<string>",
"region": "<string>",
"state": "<string>",
"country": "<string>",
"latitude": 123,
"longitude": 123,
"formattedAddress": "<string>"
}
],
"client": {
"id": "<string>",
"name": "<string>",
"description": "<string>",
"domain": "<string>",
"logoUrl": "<string>"
},
"stage": {
"id": "<string>",
"order": 123,
"name": "<string>",
"colorHex": "<string>",
"isOpen": true
},
"jobBoards": [
{
"id": "<string>"
}
]
},
"comments": [
{
"id": "<string>",
"content": "<string>",
"canEdit": true,
"createdBy": {
"id": "<string>",
"name": "<string>",
"avatarUrl": "<string>",
"deactivatedAt": "2023-11-07T05:31:56Z"
},
"createdAt": "2023-11-07T05:31:56Z",
"modifiedAt": "2023-11-07T05:31:56Z"
}
],
"interviews": [
{
"id": "<string>",
"startTime": "2023-11-07T05:31:56Z",
"endTime": "2023-11-07T05:31:56Z",
"title": "<string>",
"meetingId": "<string>"
}
],
"candidateMeetings": [
{
"id": "<string>",
"title": "<string>",
"startTime": "2023-11-07T05:31:56Z",
"endTime": "2023-11-07T05:31:56Z",
"isRecurringSeries": true,
"recurringSeriesId": "<string>",
"onlineJoinUrl": "<string>",
"hasBot": true,
"isAllDay": true,
"participants": [
{
"name": "<string>",
"email": "<string>"
}
]
}
],
"candidate": {
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"middleName": "<string>",
"secondLastName": "<string>",
"avatarUrl": "<string>",
"emails": [
{
"email": "jsmith@example.com",
"purpose": "<string>",
"isPrimary": true
}
],
"lastInteractionWith": {
"id": "<string>",
"name": "<string>",
"avatarUrl": "<string>",
"deactivatedAt": "2023-11-07T05:31:56Z"
},
"lastInteractionDate": "2023-11-07T05:31:56Z"
},
"rejection": {
"id": "<string>",
"rejectedByUser": {
"id": "<string>",
"name": "<string>",
"avatarUrl": "<string>",
"deactivatedAt": "2023-11-07T05:31:56Z"
},
"applicationId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"modifiedAt": "2023-11-07T05:31:56Z",
"reason": "<string>",
"rejectionLabels": [
{
"id": "<string>",
"name": "<string>",
"colorHex": "<string>"
}
]
},
"internalTeam": {
"viewType": "applicationInternalTeam",
"internalTeam": [
{
"id": "<string>",
"name": "<string>",
"avatarUrl": "<string>",
"deactivatedAt": "2023-11-07T05:31:56Z"
}
]
},
"notes": {
"viewType": "applicationNote",
"notes": [
{
"noteId": "<string>",
"title": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
]
},
"freeText": "<string>"
}{
"status": 0,
"message": "<string>",
"requestId": "<string>",
"errors": [
{
"code": "REQUIRED",
"path": "<string>",
"message": "<string>",
"received": "<unknown>"
}
]
}{
"status": 0,
"message": "<string>",
"requestId": "<string>"
}{
"status": 0,
"message": "Application not found",
"requestId": "<string>",
"statusCode": 404,
"error": "Not Found"
}{
"status": 0,
"message": "<string>",
"requestId": "<string>"
}Applications
Retrieve an application
Retrieves the application with the specified ID. Includes candidate details, job information, stage, and activity history.
GET
/
applications
/
{id}
Retrieve an application
Authorizations
API key for authentication. Get your API key from Settings → API Keys in your Spott dashboard.
Path Parameters
Query Parameters
Optional related resources to include in the response. Allowed values: vacancy.jobBoards.
Available options:
vacancy.jobBoards Example:
["vacancy.jobBoards"]
Response
Successfully retrieved application details
Available options:
speculativeApplication, standardApplication Minimum string length:
1Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I

